Bug 32274 - Sync of Domain Users with more than 30.000 users failed
Sync of Domain Users with more than 30.000 users failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Felix Botner
: interim-2
Depends on:
Blocks: 31695
  Show dependency treegraph
 
Reported: 2013-08-20 16:35 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): UCS Performance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-08-20 16:35:18 CEST
The sync of Domain Users from S4 to UCS failed. In this case the group Domain Users has more than 30.000 users. The connector-status file shows an "Can't contact LDAP server", maybe idle timeout:

19.08.2013 23:47:22,165 LDAP        (PROCESS): sync from ucs: [          user] [    modify] cn=v2xvguuvzd,cn=users,dc=school30000,dc=local
19.08.2013 23:47:33,265 LDAP        (PROCESS): sync to ucs:   [          user] [    modify] uid=v2xvguuvzd,cn=users,dc=school30000,dc=local
19.08.2013 23:47:34,344 LDAP        (PROCESS): sync to ucs:   [         group] [    modify] cn=domain users,cn=groups,dc=school30000,dc=local
20.08.2013 00:26:36,890 MAIN        (------ ): DEBUG_INIT
20.08.2013 00:26:36,908 LDAP        (PROCESS): Building internal group membership cache
20.08.2013 00:26:39,952 LDAP        (PROCESS): Internal group membership cache was created
20.08.2013 00:26:48,715 LDAP        (PROCESS): sync to ucs:   [          user] [    modify] uid=v2xvguuvzd,cn=users,dc=school30000,dc=local
20.08.2013 00:26:50,32 LDAP        (PROCESS): sync to ucs:   [         group] [    modify] cn=domain users,cn=groups,dc=school30000,dc=local
20.08.2013 01:06:48,574 LDAP        (PROCESS): sync to ucs:   [          user] [    modify] uid=v2xvguuvzd,cn=users,dc=school30000,dc=local
20.08.2013 01:06:49,983 LDAP        (PROCESS): sync to ucs:   [         group] [    modify] cn=domain users,cn=groups,dc=school30000,dc=local
20.08.2013 01:44:26,625 LDAP        (PROCESS): sync to ucs:   [          user] [    modify] uid=v2xvguuvzd,cn=users,dc=school30000,dc=local
20.08.2013 01:44:27,781 LDAP        (PROCESS): sync to ucs:   [         group] [    modify] cn=domain users,cn=groups,dc=school30000,dc=local
20.08.2013 02:21:39,279 LDAP        (PROCESS): sync to ucs:   [          user] [    modify] uid=v2xvguuvzd,cn=users,dc=school30000,dc=local
Comment 1 Stefan Gohmann univentionstaff 2013-08-28 06:56:53 CEST
I've discovered two points in the code where a re-open of the connection is needed.

Code: r43498
Changelog: r43499
Comment 2 Felix Botner univentionstaff 2013-09-20 13:53:49 CEST
This is tested by the automated jenkins tests.

A setup with 1000 users and 30 groups (each group has all users as members) was successfully synchronized.

Changelog OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:22 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".